Subject: [Gen-art] RE: Gen-ART review of draft-ietf-crisp-iris-xpc-04.txt

From: [email-masked]
Date: Tue, 23 Jan 2007 21:11:44 -0500

The -05 version of this draft responds to the open issue identified
in the Gen-ART review of the -04 version - Section 14.1 contains
the information that RFC 4422 requires for proper use of SASL.

A couple of minor concerns in the review were not responded to:

> The discussion of chunk ordering in Section 6 on p.9
> combines restrictions on which chunk types may co-exist
> in a single block with requirements on ordering of those
> types within a block.  The combined discussion is somewhat
> confusing - it would be clearer if these two topics were
> separated - specify what is allowed within a single block,
> then specify ordering requirements for what is allowed.
> 
> Section 9 should state how the client and server determine
> whether TLS is to be used.  Since well-known ports are
> registered for both XPC and XPCS, this appears to be
> determined by client selection of which server port to use.

The first one's a matter of taste, and the second one should
be fine to omit, as it can be inferred from the registrations
by analogy to HTTP and HTTPS.

The -05 draft is ready for publication as a Proposed Standard RFC.

Thanks,
--David

> -----Original Message-----
> From: Black, David 
> Sent: Thursday, August 24, 2006 4:27 PM
> To: [email-masked]; [email-masked]'
> Cc: Black, David; 'Ted Hardie'; 'April Marine'; 'George Michaelson'
> Subject: Gen-ART review of draft-ietf-crisp-iris-xpc-04.txt
> 
> I am the assigned Gen-ART reviewer for 
> draft-ietf-crisp-iris-xpc-04.txt .
> 
> For background on Gen-ART, please see the FAQ at
> <http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html>.
> 
> Please resolve these comments along with any other
> Last Call comments you may receive.
> 
> This draft is on the right track but has open issues,
> described in the review.
> 
> I found one open issue - Section 14's discussion of the use
> of SASL is incomplete, as it does not satisfy the requirements
> stated in Section 4 of RFC 4422.  See Section 4 of RFC 4422.
> 
> I also found a few minor concerns/nits:
> 
> Sections 5 and 6 ought to contain ASCII diagrams of the
> bit fields in the Block Header and Chunk Descriptor.
> 
> The discussion of chunk ordering in Section 6 on p.9
> combines restrictions on which chunk types may co-exist
> in a single block with requirements on ordering of those
> types within a block.  The combined discussion is somewhat
> confusing - it would be clearer if these two topics were
> separated - specify what is allowed within a single block,
> then specify ordering requirements for what is allowed.
> 
> Section 9 should state how the client and server determine
> whether TLS is to be used.  Since well-known ports are
> registered for both XPC and XPCS, this appears to be
> determined by client selection of which server port to use.
> 
> Thanks,
> --David
> ----------------------------------------------------
> David L. Black, Senior Technologist
> EMC Corporation, 176 South St., Hopkinton, MA  01748
> +1 (508) 293-7953             FAX: +1 (508) 293-7786
> [email-masked]        Mobile: +1 (978) 394-7754
> ----------------------------------------------------
> 

_______________________________________________
Gen-art mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/gen-art

---

From: Andrew Newton <[email-masked]>
Date: Wed, 24 Jan 2007 12:21:47 -0500

> by analogy to HTTP and HTTPS.

For the first issue, I did try to write langauge as suggested.  But  
each time I produced something less readable than what I had.  I am  
welcome to any suggestions and text.

The second issue is addressed with the base spec (RFC 3981) and the  
registration of the URI schemes.  If you thinking explicitly pointing  
that out in Section 9 is helpful, then that can be added.

-andy

---

From: [email-masked]
Date: Wed, 24 Jan 2007 12:42:58 -0500

I think the -05 version of the draft is ok as-is.  Thanks, --David